aboutsummaryrefslogtreecommitdiff
path: root/dragons
diff options
context:
space:
mode:
authorJames E.H. Turner <jturner@gemini.edu>2023-03-30 21:52:04 -0400
committerJames E.H. Turner <jturner@gemini.edu>2023-03-30 21:52:04 -0400
commitbe5327377fc7ac898c94eeb8555f9c05196bd344 (patch)
treec23faa3d84610bf3bfc8d8868b05d93c592ac6d6 /dragons
parentf7e28868ea942d2c9f97a05880b7241e55fa2dbe (diff)
downloadastroconda-iraf-be5327377fc7ac898c94eeb8555f9c05196bd344.tar.gz
Update public dragons recipe for v3.1 release, with latest dependencies.
Disco_stu is now incorporated into dragons. Constrain max sqlalchemy until code is updated for new v2 API and max specutils on Python 3.7, because v1.9.1 incorrectly allows installation there. Stop requiring run-time deps at build time, since conda-build now checks that they can be satisfied anyway and it complicates things. Make testing dependencies optional (they were incomplete anyway). Include licence files in meta.yaml and use Jinja template for version etc. Use newer pip install command (otherwise get pkg_resources file collision err). Handle exit status more cleanly.
Diffstat (limited to 'dragons')
-rw-r--r--dragons/build.sh11
-rw-r--r--dragons/meta.yaml68
2 files changed, 34 insertions, 45 deletions
diff --git a/dragons/build.sh b/dragons/build.sh
index 9ab2886..bd662e2 100644
--- a/dragons/build.sh
+++ b/dragons/build.sh
@@ -1,5 +1,7 @@
+set -e
+
# Build the package in the usual way:
-$PYTHON setup.py install || exit 1
+$PYTHON -m pip install . --no-deps --ignore-installed --no-cache-dir -vv
# Build the Sphinx documentation with our purpose-built LaTeX package:
docs="astrodata/doc/ad_CheatSheet astrodata/doc/ad_ProgManual \
@@ -14,10 +16,11 @@ docs="astrodata/doc/ad_CheatSheet astrodata/doc/ad_ProgManual \
# DRAGONS itself, to keep things modular and allow building everything without
# the conda recipe.
-#(cd doc/ && make html && make latexpdf) || exit 1
+# cd doc/ && make html && make latexpdf
-# Install the LICENSE file(s) where recipients can read them:
+# License files now get copied into the package as specified in meta.yaml, but
+# not to the env where users can easily find them, so continue copying here too:
mkdir -p ${PREFIX}/share/dragons/
-cp -p LICENSE ${PREFIX}/share/dragons/ || exit 1
+cp -p LICENSE ${PREFIX}/share/dragons/
cp -pR extern_licenses ${PREFIX}/share/dragons/
diff --git a/dragons/meta.yaml b/dragons/meta.yaml
index 2d130c7..20b4fb7 100644
--- a/dragons/meta.yaml
+++ b/dragons/meta.yaml
@@ -1,75 +1,61 @@
-build:
- binary_relocation: True
- number: '1'
+{% set version = '3.1.0' %}
+{% set tag = 'v' + version %}
+{% set number = '0' %}
+
package:
name: dragons
- version: "3.0.4"
+ version: {{ version }}
source:
git_url: git@github.com:GeminiDRSoftware/DRAGONS.git
- git_tag: v3.0.4
+ git_tag: {{ tag }}
+build:
+ number: {{ number }}
+ binary_relocation: True
about:
home: http://www.gemini.edu/sciops/data-and-results/processing-software
license: BSD
+ license_file:
+ - LICENSE
+ - extern_licenses/
summary: The main DRAGONS package for processing Gemini data
requirements:
- # Most of the dependencies besides python are not actually needed to
- # "build" dragons, but including them here ensures that they get built
- # and therefore that the package is installable.
build:
- python
+ - pip
- setuptools
- - asdf >=2.7,!=2.10.0
- - astropy >=4.2
- - astroquery >=0.4
- - bokeh >=2.2
- - bottleneck >=1.2
- cython >=0.29
- - disco_stu >=1.3.7
- docutils >=0.15
- - fitsverify >=4.17
- - future >=0.17
- - gwcs >=0.14,<0.17
- - imexam >=0.8
- - jsonschema >=3.0
- - matplotlib >=3.1
- - numpy >=1.17
- - psutil >=5.6
- - pyerfa >=1.7
- - pytest >=5.2
- - python-dateutil >=2.5.3
- - requests >=2.22
- - scikit-image >=0.15
- - scipy >=1.3
- - sextractor >=2.8.6
- - specutils >=1.1,<1.4.0a0
- sphinx >=1.2.2
- sphinx_rtd_theme >=0.3.0
- - sqlalchemy >=1.3
run:
- python
- asdf >=2.7,!=2.10.0
- - astropy >=4.2
+ - astropy >=4.3
- astroquery >=0.4
- - bokeh >=2.2
+ - astroscrappy >=1.1
+ - bokeh >=2.3
- bottleneck >=1.2 # opt but needed for astropy.stats performance
- - disco_stu >=1.3.7
- fitsverify >=4.17
- future >=0.17
- - gemini_calmgr >=1.0.0
- - gwcs >=0.14,<0.17 # avoid specutils arithmetic bug affecting 0.17
- - imexam >=0.8 # make this optional for SQ
+ - gemini_calmgr >=1.1
+ - gemini_obs_db >=1.0
+ - gwcs >=0.15
+ - holoviews >=1.14
+ - imexam >=0.8 # optional for SQ (used by gemaux & debug plots)
+ - jinja2 >=3.0
- jsonschema >=3.0
- matplotlib >=3.1
- numpy >=1.17
- psutil >=5.6
- pyerfa >=1.7
- - pytest >=5.2 # could be opt but allow self-test; incomplete?
+ # - pytest >=5.2 # also need pytest_dragons etc. for self test
- python-dateutil >=2.5.3
- requests >=2.22
- - scikit-image >=0.15
- scipy >=1.3
- sextractor >=2.8.6
- - specutils >=1.1,<1.4.0a0
- - sqlalchemy >=1.3
+ - specutils >=1.1,<1.9 # [py<38]
+ - specutils >=1.1 # [py>=38]
+ - sqlalchemy >=1.3,<2.0.0a0 # new v2 API breaks calmgr
+ - tornado >=5.1
run_constrained:
- ds9 >=8.0